BEGIN 9xOLady

///////////////1st Talk

IF~Global("ISHGrannyRelationsActive","GLOBAL",0) Global("ISHGrannyTalk","GLOBAL",0)~THEN BEGIN OldLady01x00
SAY @0
IF~~THEN REPLY @1 GOTO OldLady01x01
IF~~THEN REPLY @2 GOTO OldLady01x02
IF~~THEN REPLY @3 GOTO OldLady01x03
END

IF~~THEN BEGIN OldLady01x01
SAY @4
IF~~THEN GOTO OldLady01x04
END

IF~~THEN BEGIN OldLady01x02
SAY @5
IF~~THEN GOTO OldLady01x04
END

IF~~THEN BEGIN OldLady01x04
SAY @6
IF~~THEN REPLY @7 GOTO OldLady01x05
IF~~THEN REPLY @8 GOTO OldLady01x06
IF~~THEN REPLY @9 GOTO OldLady01x07
IF~~THEN REPLY @10 GOTO OldLady01x03
END

IF~~THEN BEGIN OldLady01x05
SAY @11
IF~~THEN GOTO OldLady01x08
END

IF~~THEN BEGIN OldLady01x06
SAY @12
IF~~THEN GOTO OldLady01x08   
END

IF~~THEN BEGIN OldLady01x07
SAY @13
IF~~THEN GOTO OldLady01x08
END

IF~~THEN BEGIN OldLady01x08
SAY @14
=
@15
=
@16
=
@17
IF~~THEN REPLY @18 GOTO OldLady01x09
IF~~THEN REPLY @19 GOTO OldLady01x03
IF~~THEN REPLY @20 GOTO OldLady01x09
END

IF~~THEN BEGIN OldLady01x09
SAY @21
IF~~THEN REPLY @22 GOTO OldLady01x10
IF~~THEN REPLY @23 GOTO OldLady01x11
IF~~THEN REPLY @24 GOTO OldLady01x12
IF~~THEN REPLY @25 GOTO OldLady01x13
IF~~THEN REPLY @26 GOTO OldLady01x14 
IF~~THEN REPLY @27 GOTO OldLady01x03
END

IF~~THEN BEGIN OldLady01x10
SAY @28
=
@29
IF~~THEN GOTO OldLady01x15
END

IF~~THEN BEGIN OldLady01x11
SAY @30
=
@31
IF~~THEN GOTO OldLady01x15
END

IF~~THEN BEGIN OldLady01x12
SAY @32
=
@33
IF~~THEN GOTO OldLady01x15
END

IF~~THEN BEGIN OldLady01x13
SAY @34
=
@35
IF~~THEN GOTO OldLady01x15
END

IF~~THEN BEGIN OldLady01x14
SAY @36
=
@37
IF~~THEN GOTO OldLady01x15
END

IF~~THEN BEGIN OldLady01x15
SAY @38
IF~~THEN REPLY @39 GOTO OldLady01x16
IF~~THEN REPLY @40 GOTO OldLady01x16
IF~~THEN REPLY @41 GOTO OldLady01x03
IF~~THEN REPLY @42 GOTO OldLady01x17
END

IF~~THEN BEGIN OldLady01x16
SAY @43
IF~~THEN DO ~SetGlobal("ISHGrannyRelationsActive","GLOBAL",1) SetGlobal("ISHGrannyTalk","GLOBAL",1) RealSetGlobalTimer("ISHGrannyTimer","GLOBAL",2000)~ EXIT
END

IF~~THEN BEGIN OldLady01x17
SAY @44
IF~~THEN DO ~SetGlobal("ISHGrannyRelationsActive","GLOBAL",1) SetGlobal("ISHGrannyTalk","GLOBAL",1) RealSetGlobalTimer("ISHGrannyTimer","GLOBAL",2000)~ EXIT
END

IF~~THEN BEGIN OldLady01x03
SAY @45
IF~~THEN DO ~SetGlobal("ISHGrannyRelationsActive","GLOBAL",3) SetGlobal("ISHGrannyTalk","GLOBAL",1)~ EXIT
END


//////////////2nd Talk

IF~Global("ISHGrannyRelationsActive","GLOBAL",1) Global("ISHGrannyTalk","GLOBAL",1) RealGlobalTimerExpired("ISHGrannyTimer","GLOBAL")~THEN BEGIN OldLady02x00
SAY @46
IF~~THEN REPLY @47 GOTO OldLady02x01
IF~~THEN REPLY @48 GOTO OldLady02x02
IF~~THEN REPLY @49 GOTO OldLady02x03
END

IF~~THEN BEGIN OldLady02x01
SAY @50
=
@51
IF~~THEN GOTO OldLady02x04
END

IF~~THEN BEGIN OldLady02x02
SAY @52
=
@53
IF~~THEN GOTO OldLady02x04
END

IF~~THEN BEGIN OldLady02x04
SAY @54
IF~~THEN REPLY @55 GOTO OldLady02x05
IF~~THEN REPLY @56 GOTO OldLady02x06
IF~~THEN REPLY @57 GOTO OldLady02x07
IF~~THEN REPLY @58 GOTO OldLady02x09
IF~~THEN REPLY @59 GOTO OldLady02x03
END

IF~~THEN BEGIN OldLady02x05
SAY @60
=
@61
IF~~THEN REPLY @62 GOTO OldLady02x08
IF~~THEN REPLY @63 GOTO OldLady02x03
END

IF~~THEN BEGIN OldLady02x06
SAY @64
=
@65
IF~~THEN REPLY @66 GOTO OldLady02x08
IF~~THEN REPLY @67 GOTO OldLady02x03
END

IF~~THEN BEGIN OldLady02x07
SAY @68
IF~~THEN REPLY @69 GOTO OldLady02x06
IF~~THEN REPLY @70 GOTO OldLady02x05
IF~~THEN REPLY @58 GOTO OldLady02x09
IF~~THEN REPLY @71 GOTO OldLady02x03
END

IF~~THEN BEGIN OldLady02x09
SAY @72
=
@73
IF~~THEN REPLY @74 GOTO OldLady02x06
IF~~THEN REPLY @75 GOTO OldLady02x05
IF~~THEN REPLY @76 GOTO OldLady02x03
END  

IF~~THEN BEGIN OldLady02x08
SAY @77
=
@78
IF~~THEN DO ~SetGlobal("ISHGrannyTalk","GLOBAL",2) RealSetGlobalTimer("ISHGrannyTimer","GLOBAL",2000)~ EXIT
END

IF~~THEN BEGIN OldLady02x03
SAY @79
IF~~THEN DO ~SetGlobal("ISHGrannyRelationsActive","GLOBAL",3) SetGlobal("ISHGrannyTalk","GLOBAL",2)~ EXIT
END


/////////////3rd Talk

IF~Global("ISHGrannyRelationsActive","GLOBAL",1) Global("ISHGrannyTalk","GLOBAL",2) RealGlobalTimerExpired("ISHGrannyTimer","GLOBAL")~THEN BEGIN OldLady03x00
SAY @80
IF~~THEN REPLY @81 GOTO OldLady03x01
IF~~THEN REPLY @82 GOTO OldLady03x02
IF~~THEN REPLY @83 GOTO OldLady03x03
END

IF~~THEN BEGIN OldLady03x01
SAY @84
=
@85
IF~~THEN GOTO OldLady03x04
END

IF~~THEN BEGIN OldLady03x02
SAY @86
=
@87
IF~~THEN GOTO OldLady03x04
END

IF~~THEN BEGIN OldLady03x04
SAY @88
=
@89
IF~~THEN REPLY @90 GOTO OldLady03x05
IF~~THEN REPLY @91 GOTO OldLady03x06
IF~~THEN REPLY @92 GOTO OldLady03x05
IF~~THEN REPLY @93 GOTO OldLady03x03
END

IF~~THEN BEGIN OldLady03x05
SAY @94
IF~~THEN GOTO OldLady03x07
END

IF~~THEN BEGIN OldLady03x06
SAY @95
IF~~THEN GOTO OldLady03x07
END

IF~~THEN BEGIN OldLady03x07
SAY @96
IF~~THEN REPLY @97 GOTO OldLady03x08
IF~~THEN REPLY @98 DO ~RealSetGlobalTimer("ISHJahGorTime","GLOBAL",6)~ GOTO OldLady03x08
IF~~THEN REPLY @99 GOTO OldLady03x09
IF~~THEN REPLY @100 GOTO OldLady03x10
IF~~THEN REPLY @101 GOTO OldLady03x03
END

IF~~THEN BEGIN OldLady03x08
SAY @102
=
@103
=
@104
IF~~THEN REPLY @105 GOTO OldLady03x11
IF~~THEN REPLY @106 GOTO OldLady03x09
IF~~THEN REPLY @107 GOTO OldLady03x03
END

IF~~THEN BEGIN OldLady03x11
SAY @108
IF~~THEN DO ~SetGlobal("ISHGrannyTalk","GLOBAL",3) RealSetGlobalTimer("ISHGrannyTimer","GLOBAL",2000)~ EXIT
END

IF~~THEN BEGIN OldLady03x09
SAY @109
IF~~THEN DO ~SetGlobal("ISHGrannyTalk","GLOBAL",3) RealSetGlobalTimer("ISHGrannyTimer","GLOBAL",2000)~ EXIT
END

IF~~THEN BEGIN OldLady03x10
SAY @110
IF~~THEN DO ~SetGlobal("ISHGrannyTalk","GLOBAL",3) RealSetGlobalTimer("ISHGrannyTimer","GLOBAL",2000)~ EXIT
END

IF~~THEN BEGIN OldLady03x03
SAY @111
IF~~THEN DO ~SetGlobal("ISHGrannyTalk","GLOBAL",3) SetGlobal("ISHGrannyRelationsActive","GLOBAL",3)~ EXIT
END


///////////////4th talk


IF~Global("ISHGrannyRelationsActive","GLOBAL",1) Global("ISHGrannyTalk","GLOBAL",3) RealGlobalTimerExpired("ISHGrannyTimer","GLOBAL")~THEN BEGIN OldLady04x00
SAY @112
IF~~THEN REPLY @113 GOTO OldLady04x01
IF~~THEN REPLY @114 GOTO OldLady04x02
IF~~THEN REPLY @115 GOTO OldLady04x03
END

IF~~THEN BEGIN OldLady04x02
SAY @116
IF~~THEN GOTO OldLady04x01
END

IF~~THEN BEGIN OldLady04x01
SAY @117
=
@118
=
@119
=
@120
IF~Global("DGColoursDream","GLOBAL",30)~THEN REPLY @121 GOTO OldLady04x04
IF~~THEN REPLY @122 GOTO OldLady04x05
IF~~THEN REPLY @123 GOTO OldLady04x06
IF~~THEN REPLY @124 GOTO OldLady04x03
END

IF~~THEN BEGIN OldLady04x04
SAY @125
IF~~THEN GOTO OldLady04x07
END

IF~~THEN BEGIN OldLady04x05
SAY @126
IF~~THEN GOTO OldLady04x07
END

IF~~THEN BEGIN OldLady04x06
SAY @127
IF~~THEN GOTO OldLady04x07
END

IF~~THEN BEGIN OldLady04x07
SAY @128
IF~~THEN REPLY @129 GOTO OldLady04x08
IF~~THEN REPLY @130 GOTO OldLady04x09
IF~~THEN REPLY @131 GOTO OldLady04x10
IF~~THEN REPLY @132 GOTO OldLady04x11
IF~~THEN REPLY @133 GOTO OldLady04x03
END

IF~~THEN BEGIN OldLady04x08
SAY @134 
IF~~THEN GOTO OldLady04x12
END

IF~~THEN BEGIN OldLady04x09
SAY @135
IF~~THEN GOTO OldLady04x12
END

IF~~THEN BEGIN OldLady04x10
SAY @136
IF~~THEN GOTO OldLady04x12
END

IF~~THEN BEGIN OldLady04x11
SAY @137
IF~~THEN GOTO OldLady04x12
END

IF~~THEN BEGIN OldLady04x12
SAY @138
IF~~THEN DO ~SetGlobal("ISHGrannyTalk","GLOBAL",4) RealSetGlobalTimer("ISHGrannyTimer","GLOBAL",2000)~ EXIT
END

IF~~THEN BEGIN OldLady04x03
SAY @139
IF~~THEN DO ~SetGlobal("ISHGrannyTalk","GLOBAL",4) SetGlobal("ISHGrannyRelationsActive","GLOBAL",3)~ EXIT
END


//////////////5th talk

IF~Global("ISHGrannyRelationsActive","GLOBAL",1) Global("ISHGrannyTalk","GLOBAL",4) RealGlobalTimerExpired("ISHGrannyTimer","GLOBAL")~THEN BEGIN OldLady05x00
SAY @140
IF~~THEN REPLY @141 GOTO OldLady05x01 
IF~~THEN REPLY @142 GOTO OldLady05x02
IF~~THEN REPLY @143 GOTO OldLady05x03
END

IF~~THEN BEGIN OldLady05x01
SAY @144
IF~~THEN GOTO OldLady05x03
END

IF~~THEN BEGIN OldLady05x03
SAY @145
=
@146
IF~~THEN REPLY @147 GOTO OldLady05x04
IF~~THEN REPLY @148 GOTO OldLady05x05
IF~~THEN REPLY @149 GOTO OldLady05x02
END

IF~~THEN BEGIN OldLady05x04
SAY @150
IF~~THEN GOTO OldLady05x06
END

IF~~THEN BEGIN OldLady05x05
SAY @151
IF~~THEN GOTO OldLady05x06
END

IF~~THEN BEGIN OldLady05x06
SAY @152
=
@153
IF~~THEN DO ~SetGlobal("ISHGrannyTalk","GLOBAL",5) RealSetGlobalTimer("ISHGrannyTimer","GLOBAL",2000)~ EXIT
END

IF~~THEN BEGIN OldLady05x02
SAY @154
IF~~THEN DO ~SetGlobal("ISHGrannyTalk","GLOBAL",66)~ EXIT
END

//////////////6th talk


IF~Global("ISHGrannyRelationsActive","GLOBAL",1) Global("ISHGrannyTalk","GLOBAL",6)~THEN BEGIN OldLady06x00
SAY @155
IF~~THEN REPLY @156 GOTO OldLady06x01
IF~~THEN REPLY @157 GOTO OldLady06x02
IF~~THEN REPLY @158 GOTO OldLady06x03
END

IF~~THEN BEGIN OldLady06x01
SAY @159
IF~~THEN GOTO OldLady06x04
END

IF~~THEN BEGIN OldLady06x03
SAY @160
IF~~THEN GOTO OldLady06x04
END

IF~~THEN BEGIN OldLady06x04
SAY @161
=
@162
=
@163
=
@164
=
@165
IF~~THEN REPLY @166 GOTO OldLady06x05
IF~~THEN REPLY @167 GOTO OldLady06x02
END

IF~~THEN BEGIN OldLady06x05
SAY @168
IF~~THEN REPLY @169 GOTO OldLady06x07
IF~~THEN REPLY @170 GOTO OldLady06x02
END

IF~~THEN BEGIN OldLady06x07
SAY @171
IF~~THEN DO ~SetGlobal("ISHGrannyRelationsActive","GLOBAL",2) SetGlobal("ISHGrannyTalk","GLOBAL",7) GiveItemCreate("ISHG1",Player1,0,0,0) Kill(Myself)~ EXIT
END

IF~~THEN BEGIN OldLady06x02
SAY @172
IF~~THEN DO ~SetGlobal("ISHGrannyRelationsActive","GLOBAL",3) SetGlobal("ISHGrannyTalk","GLOBAL",7) Kill(Myself)~ EXIT
END


///////////////////////She doesn't like you anymore

IF~Global("ISHGrannyRelationsActive","GLOBAL",3)~THEN BEGIN OldLady-Leave
SAY @173
IF~~THEN EXIT
END

///////////////////////Timer didn't expire

IF~Global("ISHGrannyRelationsActive","GLOBAL",1) !RealGlobalTimerExpired("ISHGrannyTimer","GLOBAL") GlobalLT("ISHGrannyTalk","GLOBAL",5)~THEN BEGIN OldLady-Busy
SAY @174
IF~~THEN EXIT
END

///////////////////////Timer didn't expire, Granny is ill

IF~Global("ISHGrannyRelationsActive","GLOBAL",1) !RealGlobalTimerExpired("ISHGrannyTimer","GLOBAL") GlobalGT("ISHGrannyTalk","GLOBAL",4)~THEN BEGIN OldLady-Sleep
SAY @175
IF~~THEN EXIT
END

///////////////////////We left her when sick

IF~Global("ISHGrannyTalk","GLOBAL",66)~THEN BEGIN OldLady-Left
SAY @176
IF~~THEN EXIT
END